org.appng.appngizer.model

## Class Package

- java.lang.Object
- - org.appng.appngizer.model.xml.Linkable
  - - org.appng.appngizer.model.xml.Nameable
    - - org.appng.appngizer.model.xml.Package
      - - org.appng.appngizer.model.Package

- All Implemented Interfaces:
    UriAware

      public class Package
      extends Package
      implements UriAware

- - ### Field Summary

    - ### Fields inherited from class org.appng.appngizer.model.xml.Package

      `displayName, hidden, installed, privileged, release, snapshot, timestamp, type, version`

    - ### Fields inherited from class org.appng.appngizer.model.xml.Nameable

      `name`

    - ### Fields inherited from class org.appng.appngizer.model.xml.Linkable

      `links, self`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Package()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Package` | `fromDomain(PackageInfo pkg, boolean installed)`

    - ### Methods inherited from class org.appng.appngizer.model.xml.Package

      `getDisplayName, getRelease, getSnapshot, getTimestamp, getType, getVersion, isHidden, isInstalled, isPrivileged, setDisplayName, setHidden, setInstalled, setPrivileged, setRelease, setSnapshot, setTimestamp, setType, setVersion`

    - ### Methods inherited from class org.appng.appngizer.model.xml.Nameable

      `getName, setName`

    - ### Methods inherited from class org.appng.appngizer.model.xml.Linkable

      `getLinks, getSelf, setLinks, setSelf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.appng.appngizer.model.UriAware

      `addLink, applyUriComponents, encode, getLinks, getSelf, setLinks, setSelf`

- - ### Constructor Detail

    - #### Package

          public Package()

  - ### Method Detail

    - #### fromDomain

          public static Package fromDomain(PackageInfo pkg,
                                           boolean installed)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.